JavassistHelper (SLF4J 1.7.28 API)
Date: 2019-08-10

org.slf4j.instrumentation

## Class JavassistHelper

- java.lang.Object
- - org.slf4j.instrumentation.JavassistHelper

-     public class JavassistHelper
      extends Object

  Helper methods for Javassist functionality.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavassistHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getSignature(javassist.CtBehavior method)` Return javassist source snippet which lists all the parameters and their values.
    `static String` | `returnValue(javassist.CtBehavior method)` Create a javassist source snippet which either is empty (for anything which does not return a value) or a explanatory text around the $_ javassist return value variable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavassistHelper

          public JavassistHelper()

  - ### Method Detail

    - #### returnValue

          public static String returnValue(javassist.CtBehavior method)
                                    throws javassist.NotFoundException

      Create a javassist source snippet which either is empty (for anything which does not return a value) or a explanatory text around the $_ javassist return value variable.
      Parameters:
        `method` - descriptor of method
      Returns:
        source snippet
      Throws:
        `javassist.NotFoundException`

    - #### getSignature

          public static String getSignature(javassist.CtBehavior method)
                                     throws javassist.NotFoundException

      Return javassist source snippet which lists all the parameters and their values. If available the source names are extracted from the debug information and used, otherwise just a number is shown.
      Parameters:
        `method` -
      Returns:
      Throws:
        `javassist.NotFoundException`

Copyright © 2005–2019 QOS.ch. All rights reserved.